﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class Planet : MonoBehaviour {

	private GameObject m_name = null;

	void Start( ) {
		m_name = transform.GetChild( 0 ).gameObject;
		m_name.transform.position = m_name.transform.position + new Vector3( 0.0f, 3.0f );
		m_name.GetComponent<TextMesh>( ).text = gameObject.name;
	}

	void Update( ) {

		Vector3 rotation = m_name.transform.position - CameraManager.get( ).transform.GetChild( 0 ).transform.position;
		rotation.y = 0.0f;
		m_name.transform.rotation = Quaternion.LookRotation( rotation, Vector3.up );

		if ( !Game.get( ).m_isPaused ) {
			transform.parent.Rotate( new Vector3( 0.0f, ( 1.0f - ( transform.position.magnitude / Game.get( ).getBiggestRadius( ) ) ) * 5.0f * Time.deltaTime ) );
		}
	}

}
